# Notifications

The dashboard has a notification section which can be used to display alerts and general notifcations to the customer about payments, account activity and events.

Notification can be searched using the Notification Search API Route and once displayed to the user, they can be marked as Read by using the Notification Read API Route.

Notification Routes include:

<pre><code><strong>Notification Search
</strong>Notification Retrieve
Noticication Read
</code></pre>

Notification Objects Include Information including:

```
notification_title
notification_type - account / service / security / other
notification_content
notification_link
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://internal.developer.documentation.private.user.pingproxies.com/customer-account-management/notifications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
